Bug 521356 - can not kickstart PV guest with VT repo enabled and virt channel disabled
Summary: can not kickstart PV guest with VT repo enabled and virt channel disabled
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Provisioning
Version: 530
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Partha Aji
QA Contact: Brandon Perkins
URL:
Whiteboard:
Depends On:
Blocks: 500798
TreeView+ depends on / blocked
 
Reported: 2009-09-05 03:50 UTC by Jan Hutař
Modified: 2009-09-21 13:50 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-09-21 13:50:55 UTC


Attachments (Terms of Use)
error when KSing (57.80 KB, image/png)
2009-09-05 03:51 UTC, Jan Hutař
no flags Details
KS operating system configuration (165.75 KB, image/png)
2009-09-05 03:52 UTC, Jan Hutař
no flags Details
Before sat-sync (187.30 KB, image/png)
2009-09-08 20:38 UTC, Brandon Perkins
no flags Details
After sat-sync (193.95 KB, image/png)
2009-09-08 20:39 UTC, Brandon Perkins
no flags Details

Description Jan Hutař 2009-09-05 03:50:11 UTC
Description of problem:
When I'm KSing RHEL5-U4 x86_64 Client PV Xen Guest, I'm getting "The file libvirt-cim...rpm can not be found..." error.


Version-Release number of selected component (if applicable):
Satellite 5.3.0 activated and synced against Stage
RHEL5-U4 x86_64 Client


How reproducible:
2 of 2 attempts


Steps to Reproduce:
1. see attached screenshot for my KS configuration; in the software section I have "@ Everything"; VNC allowed
2. provision virtual system using WebUI (Host system -> Virtualization -> Provision)
3. observerve install process


Actual results:
"The file libvirt-cim...rpm can not be found..." error - see screenshot


Expected results:
No error or KS Operating System section is more clear, without "Repositories:" and "Child Channels*:" duplicity.


Additional info:
Observed while RHEL5-U4 KS testing.

Comment 1 Jan Hutař 2009-09-05 03:51:47 UTC
Created attachment 359857 [details]
error when KSing

Comment 2 Jan Hutař 2009-09-05 03:52:39 UTC
Created attachment 359858 [details]
KS operating system configuration

Comment 4 Jan Hutař 2009-09-05 04:05:18 UTC
OK, I have tested with cloned KS which had virtualization chanel enabled and I see the same error - so this is IMO really is a bug in the RHEL5-U4 KS.

Comment 5 Ben Levenson 2009-09-07 14:40:16 UTC
Jan, what do you mean by "a bug in the RHEL5-U4 KS"?

Additional info: the package appears to be on rhn.redhat.com in the following
channels:

RHEL Desktop Multi OS (v. 5 for 64-bit x86_64)
RHEL Virtualization (v. 5 for 64-bit x86_64)

https://rhn.redhat.com/rhn/software/packages/details/Overview.do?pid=490613

Comment 6 Jan Hutař 2009-09-08 08:09:50 UTC
I do not know how this works exactly, but I suspect that incorrectly built kickstart (for RHEL5-U4 RCM is building them for the first time) might cause such errors. I also wanted to re-sync relevant channels, but Stage is currenly unavailable (rbiba have ticket for that).

Comment 7 Jan Hutař 2009-09-08 09:47:03 UTC
Hello,
I have got this even for rhel-x86_64-client-5-u4 Xen Hypervisor instalation - you can check `vncviewer dhcp-lab-163.englab.brq.redhat.com:1`, https://dhcp-lab-183.englab.brq.redhat.com/rhn/systems/details/kickstart/SessionStatus.do?sid=1000010103

What could be the issue here?

Comment 8 Jay Turner 2009-09-08 17:34:58 UTC
There's actually a newer libvirt-cim package available in the "RHEL Desktop Multi OS" channel (I didn't check the Virt channel but am guessing the same thing is there.)  So I'm wondering if somehow this newer package is causing issues with the kickstart attempting to pull the older package.  Or the older package didn't get included in the kickstart trees?  The newer package is libvirt-cim-0.5.5-2.1.el5_4.

Comment 9 Brandon Perkins 2009-09-08 20:37:11 UTC
Throwing ON_QA to be run again.  Attached find the package list for libvirt-cim-0.5.5-2.el5 both before and after running:

[root@dhcp-lab-183 ~]# satellite-sync --email -crhel-x86_64-client-vt-5

you'll see in the before, its only listed three times, and in the after it is listed four times.  So, now it is in fact linked to "RHEL Desktop Multi OS (v. 5 for 64-bit x86_64)" and should be found.  Likely, even if you somehow got past this one, another package would have bitten.

Comment 10 Brandon Perkins 2009-09-08 20:38:09 UTC
Created attachment 360128 [details]
Before sat-sync

Before sat-sync

Comment 11 Brandon Perkins 2009-09-08 20:39:00 UTC
Created attachment 360129 [details]
After sat-sync

After sat-sync

Comment 12 Garik Khachikyan 2009-09-15 09:08:07 UTC
# COMMENT

The kickstarting for x86_64-client-5-u4-xen-para-guest with @ Everything package set passed okey.
More details:
- VT repository is selected
- Tools channel is subscribed
- @ Everything package set is choosen
- VNC option is checked
- Host is a rhel 5.4 x86_64 server (also kickstarted through the same Satellite)

The whole installation process gone without any errors, after restart system wakes up and functioning okey.

Comment 13 Jan Hutař 2009-09-21 13:50:55 UTC
This was probably some weird syncing issue.


Note You need to log in before you can comment on or make changes to this bug.